##### posix::stream_descriptor::stream_descriptor (1 of 3 overloads)

Construct a `posix::stream_descriptor` without opening it.

    stream_descriptor(
        asio::io_context & io_context);

This constructor creates a stream descriptor without opening it. The descriptor needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

io_context

  The `io_context` object that the stream descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.